Bug 318411 - doesn't work
doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-netstatus (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Vivek Shah
Fedora Extras Quality Assurance
:
: 161216 481596 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 11:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.26.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch from GNOME bug 453070 (959 bytes, patch)
2008-02-17 02:27 EST, Joachim Frieben
no flags Details | Diff
Fedoraized version of patch from GNOME bug 453070 comment #13 (1.03 KB, patch)
2008-11-27 05:37 EST, Joachim Frieben
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 307422 None None None Never
GNOME Desktop 453070 None None None Never

  None (edit)
Description Bill Nottingham 2007-10-04 11:02:05 EDT
Description of problem:

The device list it shows consists of:

- lo
- a blank
- an unprintable character

This is on a box that has a fairly standard lo/eth0/eth1 setup.

Why is this in the default install, any way?

Version-Release number of selected component (if applicable):

gnome-netstatus-2.12.1-1.fc7
Comment 1 Matthias Clasen 2007-10-04 23:06:59 EDT
It seems to work ok here, I see tun0, wlan0 and lo in the combobox.
But I agree that it doesn't need to be in the default install anymore.
NMs connection information dialog shows almost the same information, except for 
the amount of transmitted/received data. 
Comment 2 Bill Nottingham 2007-10-05 14:22:06 EDT
Made optional in comps.
Comment 3 Joachim Frieben 2007-10-30 19:01:25 EDT
Still not functional as of today's 'rawhide'. Symptoms identical to the
initial report. Btw, still a very useful tool, when the network is
controlled in the oldfashioned way [without NM].
Comment 4 Joachim Frieben 2007-12-08 11:59:03 EST
As of day, I still have this combination of lo, a blank, and an unprintable
character. However, all network interfaces [lo, eth0, eth1, ath0] work as
expected. For users who need to rely on static network connections [in my
case, LaserJet printer w/JetDirect interface] NM is not usable at the moment,
and it's for exactly this reason that NM is disabled by default.
Thus, the connection information provided by NM is no argument for not
supporting the netstatus applet anymore.
Btw, I'm on an x86_64 system here, and I was wondering if the apparently
contradictory observations in the original report and in comment #1 might
be related to the platform.
Comment 5 petrosyan 2008-02-16 22:26:29 EST
*** Bug 161216 has been marked as a duplicate of this bug. ***
Comment 6 petrosyan 2008-02-16 22:34:29 EST
this bug has been fixed in Ubuntu
https://launchpad.net/gnome-netstatus/+bug/21234
Comment 7 petrosyan 2008-02-16 23:28:53 EST
Bill, even though you made gnome-netstatus optional in comps.xml it still gets
installed by default, because gnome-applets requires it.

$ rpm -e gnome-netstatus
error: Failed dependencies:
	gnome-netstatus >= 2.8.0-2 is needed by (installed)
gnome-applets-2.21.91-1.fc9.i386
Comment 8 Joachim Frieben 2008-02-17 02:27:53 EST
Created attachment 295091 [details]
Upstream patch from GNOME bug 453070

Too funny that we looked at this simultaneously. Yesterday, I rebuilt the
gnome-netstatus RPM with the modifications implemented by the patch from

  http://bugzilla.gnome.org/show_bug.cgi?id=453070#c3

as of 2007-07-16 and it works perfectly on my x86_64 box.
Comment 9 Joachim Frieben 2008-02-17 02:35:02 EST
Note: comment #6 and references therein refer to a different upstream bug.
Comment 10 Joachim Frieben 2008-02-17 04:10:42 EST
(In reply to comment #7)
> Bill, even though you made gnome-netstatus optional in comps.xml it still
> gets installed by default, because gnome-applets requires it.

Right, and there are good reasons to leave things as they are: NM is
currently disabled by default in the install spin because is immature
and breaks connectivity even for simple setups. This means that in general
there is no network applet other than netstatus for the GNOME desktop.
Now that it's working again it's a must for the default GNOME setup.
Btw, shouldn't "Hardware" be set to x86_64 or has this issue also been
observed on other platforms such as x86?
Comment 11 Joachim Frieben 2008-02-18 08:27:18 EST
Fixed in gnome-netstatus-2.12.1-4.fc9.
Comment 12 petrosyan 2008-02-19 23:55:20 EST
I still see a list of:
- lo
- a blank
- an unprintable character

with the latest gnome-netstatus-2.12.1-4.fc9
Comment 13 Joachim Frieben 2008-02-20 01:33:54 EST
Argh! gnome-netstatus-2.12.1-4.fc9 retained the WLAN setting from
my self-built RPM which is the reason why it worked for me. Once
changed to a different device, "ath0" disappears, and things look
exactly like before. I have just unpacked the SRPM and it's the
unpatched version .. %@&#ยง!
Comment 14 Mark McClelland 2008-04-25 19:30:15 EDT
This is still broken in F8 on x86_64. The patch fixes it for me.
Comment 15 Bug Zapper 2008-05-13 23:19:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Joachim Frieben 2008-08-27 05:10:29 EDT
There has been a new patch added upstream to fix this issue. Can this at least be included as a temporary workaround?

  http://bugzilla.gnome.org/attachment.cgi?id=115547&action=view

This bug is approaching its first anniversary!
Comment 17 Joachim Frieben 2008-11-27 05:12:25 EST
Issue still present as of gnome-netstatus-2.12.2-2.fc10.x86_64. It has slightly evolved however, namely on my system where currently only ifcfg-lo and ifcfg-wlan0 do exist, only devices -blank- and -lo- are displayed, the unprintable character is gone. Wireless traffic still is not monitored though.
Comment 18 Joachim Frieben 2008-11-27 05:37:12 EST
Created attachment 324857 [details]
Fedoraized version of patch from GNOME bug 453070 comment #13

The gnome-netstatus package builds and works properly after adding the attached patch "iface.patch" and updating gnome-netstatus.spec:

Patch1: iface.patch
..
%patch1 -p1 -b .iface
Comment 19 Fedora Admin XMLRPC Client 2009-02-09 13:38:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Joachim Frieben 2009-02-09 14:07:41 EST
(In reply to comment #19)
Excellent, I had attached a "ready-to-use" patch to comment #18 which does not need anything but to dump it into the SRPM and the tiny addition to the spec file along the direction of comment #18. Thanks!
Comment 21 Joachim Frieben 2009-05-20 03:44:01 EDT
Thus bug is still not resolved as of gnome-netstatus-2.12.2-3.fc11.x86_64.
Comment 22 Bug Zapper 2009-06-09 18:54:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Joachim Frieben 2009-06-10 04:57:15 EDT
'gnome-netstatus' still doesn't work on x86_64 systems as of F11 final w/updates. That's a pity given that functional patches have been available upstream for a long time.
Comment 24 Joachim Frieben 2009-06-12 01:15:58 EDT
Upstream version 2.26.0 still hasn't fixed this issue. However, the patch from comment #18 applies to both version 2.12.2 and 2.26.0 and resolves this bug. Please consider including it into the SRPM. Thanks!
Comment 25 Vivek Shah 2009-06-20 14:13:13 EDT
Sorry for the long negligence on my part for so long. I have prepared the SRPM please find it here. I have an old broken Fedora 9 system so I could not test the RPMs. Can someone please check it before I move it in ? I have also updated gnome-netstatus to 2.26.0. Thanks.

Please find the SRPM here:
http://bonii.fedorapeople.org/srpms/gnome-netstatus-2.26.0-1.fc12.src.rpm
Comment 26 Vivek Shah 2009-06-21 03:27:32 EDT
*** Bug 481596 has been marked as a duplicate of this bug. ***
Comment 27 Vivek Shah 2009-06-24 06:42:35 EDT
Can someone please test this SRPM. Thanks.
Comment 28 Joachim Frieben 2009-06-24 16:46:41 EDT
(In reply to comment #27)
Yes, it works. Pushing to updates and closing this bug then, I suppose.
Comment 29 Fedora Update System 2009-06-25 14:15:35 EDT
gnome-netstatus-2.26.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gnome-netstatus-2.26.0-1.fc10
Comment 30 Fedora Update System 2009-06-25 14:17:05 EDT
gnome-netstatus-2.26.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-netstatus-2.26.0-1.fc11
Comment 31 Fedora Update System 2009-06-30 17:27:31 EDT
gnome-netstatus-2.26.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-netstatus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7090
Comment 32 Fedora Update System 2009-06-30 17:30:37 EDT
gnome-netstatus-2.26.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-netstatus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7115
Comment 33 Fedora Update System 2009-07-03 15:46:54 EDT
gnome-netstatus-2.26.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2009-07-03 15:51:37 EDT
gnome-netstatus-2.26.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.